# Documentation

Menu

## QRGdImageGIFTest extends QRGdImageTestAbstract
in package

FinalYes
QRGdImageGIFTest.php : 18

Tests the QRGdImage output module

### Table of Contents

#### Properties

$builddir : string
$FQN : string
$matrix : QRMatrix
$options : QROptions|SettingsContainerInterface
$outputInterface : QROutputInterface
$type : string

#### Methods

moduleValueProvider() : array<string|int, mixed>
testInstance() : void
  Validate the instance of the interface
testOutputGetResource() : void
testRenderToCacheFile() : void
  coverage of the built-in output modules
testSaveException() : void
  Tests if an exception is thrown when trying to write a cache file to an invalid destination
testSetModuleValues() : void
  covers the module values settings
testValidateModuleValues() : void
setUp() : void
  Attempts to create a directory under /.build and instances several required objects

### Properties

#### $builddir

QROutputTestAbstract.php : 31
`protected string $builddir = __DIR__ . '/../../.build/output_test'`

#### $FQN

QROutputTestAbstract.php : 32
`protected string $FQN`

#### $matrix

QROutputTestAbstract.php : 30
`protected QRMatrix $matrix`

#### $options

QROutputTestAbstract.php : 28
`protected QROptions|SettingsContainerInterface $options`

#### $outputInterface

QROutputTestAbstract.php : 29
`protected QROutputInterface $outputInterface`

#### $type

QRGdImageGIFTest.php : 20
`protected string $type = \chillerlan\QRCode\Output\QROutputInterface::GDIMAGE_GIF`

### Methods

#### moduleValueProvider()

QROutputTestAbstract.php : 68
`public abstract static moduleValueProvider() : array<string|int, mixed>`

##### Return values

array<string|int, mixed>

#### testInstance()

QROutputTestAbstract.php : 53

Validate the instance of the interface

`public testInstance() : void`

#### testOutputGetResource()

QRGdImageTestAbstract.php : 67
`public testOutputGetResource() : void`

#### testRenderToCacheFile()

QROutputTestAbstract.php : 93

coverage of the built-in output modules

`public testRenderToCacheFile() : void`

#### testSaveException()

QROutputTestAbstract.php : 60

Tests if an exception is thrown when trying to write a cache file to an invalid destination

`public testSaveException() : void`

#### testSetModuleValues()

QROutputTestAbstract.php : 88

covers the module values settings

`public abstract testSetModuleValues() : void`

#### testValidateModuleValues()

QROutputTestAbstract.php : 76
`public testValidateModuleValues(mixed $value, bool $expected) : void`

##### Parameters

$value : mixed
$expected : bool

##### Tags

dataProvider

  moduleValueProvider

#### setUp()

QROutputTestAbstract.php : 38

Attempts to create a directory under /.build and instances several required objects

`protected setUp() : void`

## Search results